محققان مایکروسافت روز پنجشنبه بیست آسیب‌پذیری را که دامنه وسیعی از دستگاه‌های اینترنت اشیا (IoT) و فناوری عملیاتی (OT) را در شبکه‌های صنعتی، پزشکی و شرکتی را تحت تاثیر قرار می‌دهند کشف کرده‌اند که ممکن است توسط مهاجم‌ها برای اجرای کد دلخواه مورد استفاده قرار بگیرند و یا باعث ایجاد خرابی در سیستم‌های حیاتی شوند.

برای دیدن سایز بزرگ روی عکس کلیک کنید  نام: iot.jpg
مشاهده: 0
حجم: 28.6 کیلو بایت

بخش ۵۲ Azure Defender گروه تحقیقات اینترنت اشیا مایکروسافت گفت: این آسیب‌پذیری‌های اجرای کد از راه دور (RCE) بیش از ۲۵ CVE را تحت پوشش قرار داده و دامنه وسیعی از دستگاه‌ها را تحت تأثیر قرار می‌دهد، از IoT مصرفی و پزشکی گرفته تا IoT صنعتی، فناوری عملیاتی و سیستم‌های کنترل صنعتی.

این نقص‌ها در مجموع “BadAlloc” نامگذاری شده‌اند، زیرا ریشه آنها در عملکردهای تخصیص حافظه استاندارد است که شامل real-time operating systems (RTOS)، کیت‌های توسعه نرم‌افزار (SDK) و پیاده‌سازی کتابخانه استاندارد C (libc) است. فقدان اعتبارسنجی مناسب مرتبط با این توابع تخصیص حافظه می‌تواند یک مهاجم را قادر به انجام heap overflow کند که منجر به اجرای کد مخرب در یک دستگاه آسیب‌پذیر می‌شود.

لیست کامل دستگاه‌های تحت تأثیر BadAlloc به شرح زیر است:

  • آمازون FreeRTOS نسخه ۱۰.۴.۱
  • Apache Nuttx OS نسخه ۹.۱.۰
  • ARM CMSIS-RTOS2 نسخه‌های قبل از ۲.۱.۳
  • ARM Mbed OS نسخه ۶.۳.۰
  • ARM mbed-uallaoc نسخه ۱.۳.۰
  • Cesanta Software Mongoose OS، v2.17.0
  • eCosCentric eCosPro RTOS نسخه‌های ۲.۰.۱ تا ۴.۵.۳
  • Google Cloud IoT SDK نسخه ۱.۰.۲
  • Linux Zephyr RTOS نسخه‌های قبل از ۲.۴.۰
  • MediaTek LinkIt SDK نسخه‌های قبل از ۴.۶.۱
  • سیستم عامل Micrium نسخه‌های ۵.۱۰.۱ و نسخه‌های قبلی
  • Micrium uCOS II / uCOS III نسخه‌های ۱.۳۹.۰ و نسخه‌های قبلی
  • NXP MCUXpresso SDK نسخه‌های قبل از ۲.۸.۲
  • NXP MQX نسخه ۵.۱ و نسخه‌های قبلی
  • Redhat newlib نسخه‌های قبل از ۴.۰.۰
  • سیستم‌عامل RIOT نسخه ۲۰۲۰.۰۱.۱
  • Samsung Tizen RT RTOS نسخه‌های قبلی ۳.۰. GBB
  • TencentOS-tiny نسخه ۳.۱.۰
  • Texas Instruments CC32XX نسخه‌های قبل از ۴.۴۰.۰۰.۰۷
  • Texas Instruments SimpleLink MSP432E4XX
  • Texas Instruments SimpleLink-CC13XX نسخه‌های قبل از ۴.۴۰.۰۰
  • Texas Instruments SimpleLink-CC26XX نسخه‌های قبل از ۴.۴۰.۰۰
  • Texas Instruments SimpleLink-CC32XX نسخه‌های قبل از ۴.۱۰.۰۳
  • Uclibc-NG نسخه‌های قبل از ۱.۰.۳۶
  • Windriver VxWorks قبل از ۷.۰

مایکروسافت گفت که تاکنون هیچ مدرکی مبنی بر بهره‌برداری از این آسیب‌پذیری‌ها پیدا نکرده است، اگرچه در دسترس بودن وصله‌ها به مهاجمان امکان می‌دهد تا از تکنیکی به نام “patch varying” برای مهندسی معکوس وصله‌ها استفاده کنند و از آن‌ها سواستفاده کنند تا کنترل نسخه‌های آسیب‌پذیر نرم افزار را در دست بگیرند.

برای به حداقل رساندن خطرات ناشی از این آسیب‌پذیری‌ها، CISA به سازمان‌ها توصیه می‌کند در اسرع وقت از بروزرسانی‌های خدمات‌دهنده خود استفاده كنند، موانع فایروالی درست كنند و شبکه‌های دیگر را از شبكه‌های تجاری جدا كنند و دستگاه‌های سیستم كنترل را در معرض محدودیت قرار دهند تا از دسترسی به اینترنت جلوگیری شود.


دوست داشتید؟ لطفا با دوستان خود به اشتراک بگذارید.

65
65 امتیاز

یک نظر

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *

واکنش شما به این مطلب چیست ؟

جالب جالب
6
جالب
خنده‌دار خنده‌دار
6
خنده‌دار
انزجار انزجار
4
انزجار
عجیب عجیب
3
عجیب
ناراحت ناراحت
2
ناراحت
بد بد
1
بد
باحال باحال
6
باحال
خوب خوب
6
خوب
ترسناک ترسناک
4
ترسناک